# Generated from fluent-plugin-remote-syslog-1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fluent-plugin-remote-syslog

Name: rubygem-%{gem_name}
Version: 1.1
Release: 1%{?dist}
Summary: Output plugin for streaming logs out to a remote syslog
License: MIT
URL: https://github.com/docebo/fluent-plugin-remote-syslog
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: rubygem(bundler)
BuildRequires: rubygem(rake)
BuildRequires: rubygem(test-unit)
BuildRequires: rubygem(minitest) < 5
BuildRequires: rubygem(fluentd)
BuildRequires: rubygem(syslog_protocol)
BuildRequires: rubygem(fluent-mixin-config-placeholders)
Requires: rubygem(fluent-mixin-config-placeholders)
Requires: rubygem(syslog_protocol)
BuildArch: noarch

%if 0%{?rhel} > 0
Provides: rubygem(%{gem_name}) = %{version}
%endif

%description
Output plugin for streaming logs out to a remote syslog.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
#rake test
# this monstrosity is the only way I could get it to work
/usr/bin/ruby -I/usr/share/gems/gems/minitest-4.3.2/lib -rminitest/autorun -rminitest/unit -rjson -I"lib:lib:test" -I"/usr/share/gems/gems/rake-0.9.6/lib" "/usr/share/gems/gems/rake-0.9.6/lib/rake/rake_test_loader.rb" "test/**/test_*.rb"
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/fluent-plugin-remote-syslog.gemspec
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Tue Sep 12 2017 stran <steveqtran@gmail.com> - 1.1-1
- Initial package
